| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RequesterQos Class Reference

`#include <RequesterQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | RequesterQos ()
| Constructor.
FASTDDS_EXPORTED_API bool | operator== (const RequesterQos &b) const
| Equal comparison operator.

## Public Attributes

std::string | service_name
| Service name.
std::string | request_type
| Request type.
std::string | reply_type
| Reply type.
std::string | request_topic_name
| Request topic name.
std::string | reply_topic_name
| Reply topic name.
DataWriterQos | writer_qos
| DataWriter QoS for the request writer.
DataReaderQos | reader_qos
| DataReader QoS for the request reader.

## Constructor & Destructor Documentation

## ◆ RequesterQos()

FASTDDS_EXPORTED_API RequesterQos | ( |  | ) |

inline

Constructor.

## Member Function Documentation

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const RequesterQos & | b | ) | const

inline

Equal comparison operator.

## Member Data Documentation

## ◆ reader_qos

DataReaderQos reader_qos

DataReader QoS for the request reader.

## ◆ reply_topic_name

std::string reply_topic_name

Reply topic name.

## ◆ reply_type

std::string reply_type

Reply type.

## ◆ request_topic_name

std::string request_topic_name

Request topic name.

## ◆ request_type

std::string request_type

Request type.

## ◆ service_name

std::string service_name

Service name.

## ◆ writer_qos

DataWriterQos writer_qos

DataWriter QoS for the request writer.

The documentation for this class was generated from the following file:

- include/fastdds/dds/domain/qos/RequesterQos.hpp